#if !defined(AFX_EVENTSDLG_H__C46779B6_E676_11D1_A893_444553540000__INCLUDED_)
#define AFX_EVENTSDLG_H__C46779B6_E676_11D1_A893_444553540000__INCLUDED_

#include "ChooseDateDlg.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// EventsDlg.h : header file
//
/*
	DaysEase - PC Magazine file download utility
	Copyright  1998-1999 Ziff-Davis, Inc.  All rights reserved.
	First published in PC Magazine, US Edition
	December 1, 1998.
	Written by Richard A. Ellingson
*/
/////////////////////////////////////////////////////////////////////////////
// CEventsDlg dialog

class CEventsDlg : public CDialog
{
// Construction
public:
	CString Get_Last_File();
	BOOL Select_Event_File(CString filename);
	void Read_Events();
	BOOL fApplied;
	afx_msg void OnEventsave();
	CChooseDateDlg m_ChooseDateDlg;
	CEventsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CEventsDlg)
	enum { IDD = IDD_EVENTSDLG };
	CListBox	m_Sort;
	CButton	m_RemoveDate;
	CButton	m_InsertDate;
	CComboBox	m_EventIniBox;
	CButton	m_EventSave;
	CListBox	m_EventList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEventsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void Adjust_Horz_Scroll(CString text);
	void Sort_List();
	virtual void OnOK();
	void Write_Last_File(CString text);
	void Enable_Buttons(BOOL trufal);
	virtual void OnCancel();
	void Fill_EventIni_Box();
	void Write_Events();
	afx_msg BOOL OnUpdateEvents(UINT wParam, LPARAM lParam);

	// Generated message map functions
	//{{AFX_MSG(CEventsDlg)
	afx_msg void OnInsertdate();
	virtual BOOL OnInitDialog();
	afx_msg void OnRemovedate();
	afx_msg void OnSelchangeEventinibox();
	afx_msg void OnEditchangeEventinibox();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EVENTSDLG_H__C46779B6_E676_11D1_A893_444553540000__INCLUDED_)
